<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.6.0.final using JasperReports Library version 6.6.0  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="BASTFakturKeBiro" pageWidth="595" pageHeight="396" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="ac67da85-93ae-49d6-b601-8d842eb4a081">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="prod"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="250"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="739"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="cm"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="cm"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<parameter name="bastnumber" class="java.lang.String"/>
	<parameter name="userlogin" class="java.lang.String"/>
	<queryString>
		<![CDATA[select 
dealer.name as Nama_Dealer,
org_vendor.name as Nama_Biro,
vdr.atpmfaktur as No_Faktur,
CASE 
	WHEN namastnk.fname is null THEN stnkorganisasi.name
	ELSE concat (namastnk.fname,' ',namastnk.lname)
	END as name,
CASE
	WHEN pastnk.address1 is null THEN concat (pastnkorg.address1,' ',pastnkorg.address2)
	ELSE concat (pastnk.address1,' ',pastnk.address2)
	END as Alamat,
internal.idinternal as No_internal,
veh.idframe as No_Rangka,
veh.idmachine as No_Mesin,
product.name as Deskripsi_Tipe,
concat(l.fname,' ',l.lname) as namaAFC,
vdr.note as Keterangan,
vdr.submissionno as No_FDB,
vdr.submissiondt as Tgl_FDB
from vehicle_document_requirement vdr
LEFT JOIN person namastnk on vdr.idpersonowner = namastnk.idparty
LEFT JOIN party_contact_mechanism pcmstnk on namastnk.idparty=pcmstnk.idparty
LEFT JOIN postal_address pastnk on pcmstnk.idcontact=pastnk.idcontact

LEFT JOIN geo_boundary prov_stnk on pastnk.idprovince = prov_stnk.idgeobou
LEFT JOIN geo_boundary city_stnk on pastnk.idcity = city_stnk.idgeobou
LEFT JOIN geo_boundary dist_stnk on pastnk.iddistrict = dist_stnk.idgeobou
LEFT JOIN geo_boundary vill_stnk on pastnk.idvillage = vill_stnk.idgeobou

LEFT JOIN organization stnkorganisasi on vdr.idorganizationowner = stnkorganisasi.idparty
LEFT JOIN party_contact_mechanism pcmstnkorg on stnkorganisasi.idparty = pcmstnkorg.idparty
LEFT JOIN postal_address pastnkorg on pcmstnkorg.idcontact = pastnkorg.idcontact


LEFT JOIN vehicle veh on vdr.idvehicle = veh.idvehicle
LEFT JOIN product on veh.idproduct=product.idproduct

LEFT JOIN vendor on vdr.idvendor=vendor.idvendor
LEFT JOIN party party_vendor on vendor.idparty=party_vendor.idparty
LEFT JOIN organization org_vendor on party_vendor.idparty=org_vendor.idparty

LEFT JOIN internal on vdr.idinternal=internal.idinternal
LEFT JOIN organization dealer on internal.idparty=dealer.idparty


left join positions j on internal.idinternal = j.idinternal and j.idpostyp = 16
left join user_mediator k on j.idusrmed = k.idusrmed
left join person l on k.idperson = l.idparty

where vdr.submissionno = $P{bastnumber}]]>
	</queryString>
	<field name="Nama_Dealer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Nama_Dealer"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="organization"/>
	</field>
	<field name="Nama_Biro" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Nama_Biro"/>
	</field>
	<field name="No_Faktur" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="No_Faktur"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="vehicle_document_requirement"/>
	</field>
	<field name="name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="name"/>
	</field>
	<field name="Alamat" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Alamat"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="postal_address"/>
	</field>
	<field name="No_internal" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="No_internal"/>
	</field>
	<field name="No_Rangka" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="No_Rangka"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="sales_unit_requirement"/>
	</field>
	<field name="No_Mesin" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="No_Mesin"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="sales_unit_requirement"/>
	</field>
	<field name="Deskripsi_Tipe" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Deskripsi_Tipe"/>
	</field>
	<field name="namaAFC" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="namaAFC"/>
	</field>
	<field name="Keterangan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Keterangan"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="product"/>
	</field>
	<field name="No_FDB" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="No_FDB"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="product"/>
	</field>
	<field name="Tgl_FDB" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="Tgl_FDB"/>
	</field>
	<variable name="no_urut" class="java.lang.Integer" resetType="None" calculation="Count">
		<variableExpression><![CDATA[$V{no_urut}]]></variableExpression>
	</variable>
	<background>
		<band height="30" splitType="Stretch"/>
	</background>
	<title>
		<band height="22" splitType="Stretch">
			<staticText>
				<reportElement x="119" y="2" width="320" height="20" uuid="e468ca42-918c-4a7f-8a59-87b503223819"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[BERITA ACARA SERAH TERIMA FAKTUR]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="66" splitType="Stretch">
			<textField>
				<reportElement x="0" y="20" width="100" height="20" uuid="92da6179-108e-4d89-98b3-417b6c449276"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Nama_Dealer}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="40" width="100" height="16" uuid="2db23a95-5b98-41ee-9356-c1edbcde85b4"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Kepada]]></text>
			</staticText>
			<staticText>
				<reportElement x="390" y="23" width="49" height="16" uuid="ee0b064d-d6dc-4be9-8966-42cea8b27129"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<text><![CDATA[Tanggal]]></text>
			</staticText>
			<textField>
				<reportElement x="100" y="39" width="100" height="16" uuid="c5c8bd53-da4e-4461-a2f4-019ca867f746"/>
				<textElement>
					<font fontName="Tahoma"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Nama_Biro}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-YYYY">
				<reportElement x="445" y="24" width="100" height="16" uuid="ba02a2a5-0392-4c10-8c85-721b11accded"/>
				<textFieldExpression><![CDATA[$F{Tgl_FDB}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="167" y="0" width="203" height="20" uuid="bdf86ef2-8925-494b-8d28-ee8d3b7cb315"/>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Nomor : ...........................................................]]></text>
			</staticText>
			<textField>
				<reportElement x="210" y="-3" width="160" height="15" uuid="fb2e1890-e82b-4c21-b54a-bd45da151677"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{No_FDB}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="25" splitType="Stretch">
			<rectangle>
				<reportElement x="-10" y="5" width="575" height="20" uuid="81e7bc3b-7bfd-4f55-a172-708d1a4c9f88"/>
			</rectangle>
			<staticText>
				<reportElement x="-10" y="6" width="20" height="19" uuid="f35d03c5-8cbf-4dd0-817f-89801ae883c0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<text><![CDATA[NO]]></text>
			</staticText>
			<staticText>
				<reportElement x="10" y="6" width="80" height="19" uuid="ae80da10-4269-4f65-b0dc-078fd00e3e22"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<text><![CDATA[NO FAKTUR]]></text>
			</staticText>
			<staticText>
				<reportElement x="90" y="6" width="100" height="19" uuid="37f243b6-2ef4-4aeb-a7e0-9381df8d4c2f"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<text><![CDATA[NAMA]]></text>
			</staticText>
			<staticText>
				<reportElement x="193" y="6" width="98" height="19" uuid="549927e9-fcd8-4e3d-b8c2-8c4225f621c3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<text><![CDATA[ALAMAT]]></text>
			</staticText>
			<staticText>
				<reportElement x="291" y="6" width="68" height="19" uuid="270022f4-8397-439c-b9d6-eade6ee1881e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<text><![CDATA[NO. RANGKA]]></text>
			</staticText>
			<staticText>
				<reportElement x="360" y="6" width="68" height="19" uuid="eecf9638-308c-4585-ad2d-a9e0b54bd450"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<text><![CDATA[NO. MESIN]]></text>
			</staticText>
			<staticText>
				<reportElement x="429" y="6" width="83" height="19" uuid="d8820e5d-8b85-4135-9db8-a111e4ae7fad"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<text><![CDATA[DESKRIPSI TYPE]]></text>
			</staticText>
			<staticText>
				<reportElement x="512" y="6" width="52" height="19" uuid="3c1f0684-ab9e-47c7-b099-ea27c7f8141e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<text><![CDATA[KET]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="23" splitType="Stretch">
			<rectangle>
				<reportElement x="-10" y="1" width="575" height="22" uuid="de2767e7-be3b-4dfc-9818-6dcefca1fc7b"/>
			</rectangle>
			<textField>
				<reportElement x="292" y="0" width="68" height="23" uuid="3f3be774-3a3d-48f5-bfcc-45e5094d3d43">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="6550e34d-8b74-4696-8d6f-7d3d55d0cca3"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{No_Rangka}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="360" y="0" width="68" height="23" uuid="7b18831d-5f89-4cfd-a0f1-dfb1c42d1c30">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="415f0e19-5c84-4e3d-b4bb-0aa43c595f33"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{No_Mesin}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="360" y="-20" width="1" height="42" uuid="dc6bb3b2-3aed-4f59-9fa5-f04149aff522"/>
			</line>
			<line>
				<reportElement x="429" y="-20" width="1" height="42" uuid="30a42411-fcb4-434f-b26b-5717bf742c51"/>
			</line>
			<line>
				<reportElement x="291" y="-20" width="1" height="42" uuid="debe77ba-7383-4cd1-a1ae-3455d21dcc59"/>
			</line>
			<line>
				<reportElement x="192" y="-20" width="1" height="42" uuid="f888cbe9-361b-421c-af32-0544ad06ca7a"/>
			</line>
			<line>
				<reportElement x="89" y="-20" width="1" height="42" uuid="cddd5168-34a3-4177-9f3d-2eb4406ffa74"/>
			</line>
			<line>
				<reportElement x="10" y="-20" width="1" height="42" uuid="f817d075-26a6-4301-8f50-339f6d720f14"/>
			</line>
			<textField>
				<reportElement x="11" y="1" width="79" height="22" uuid="ecaa6eb0-e358-40da-ac66-571045b9d89f">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d9631251-96e5-4088-88bd-94479500a5b8"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{No_Faktur}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="430" y="0" width="83" height="22" uuid="3f5e01d1-4b2f-4cf0-ab45-f091f851c7b0">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="a41d25cb-a840-4249-89c6-fa9f7d9fb0b3"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Deskripsi_Tipe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="-10" y="1" width="20" height="21" uuid="62658243-9542-4825-8399-8f4e9d8a258a"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{no_urut} + 1]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="193" y="0" width="98" height="22" uuid="dc2fb14a-5f9a-4c94-95df-c9bb7f65b95e">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="f360c67a-94ff-4ef9-ab7c-438aa1a42ef8"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Alamat}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="90" y="0" width="100" height="22" uuid="ad95da68-faaf-4fe3-91aa-e8b097a0fa65">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="226709dd-25e0-4c6f-a074-37217d68a9a4"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="512" y="-20" width="1" height="42" uuid="b73b7c2b-4f7d-4c0e-8c51-38c0d8623e81"/>
			</line>
			<textField isBlankWhenNull="true">
				<reportElement x="513" y="1" width="51" height="21" uuid="4778e169-4efd-4b6c-8fda-84645406e84e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Keterangan}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="92" splitType="Stretch">
			<staticText>
				<reportElement x="40" y="3" width="60" height="12" uuid="e73ae9ab-a33f-4ae5-8004-4fc8faf9f1b3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[DI BUAT OLEH]]></text>
			</staticText>
			<staticText>
				<reportElement x="240" y="3" width="79" height="12" uuid="92e6efbc-010c-4beb-b862-0d76d42b71fe"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[DI KETAHUI OLEH]]></text>
			</staticText>
			<staticText>
				<reportElement x="440" y="3" width="60" height="12" uuid="d7a67c72-b248-442d-89ae-083e13dbbd62"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[DI TERIMA OLEH]]></text>
			</staticText>
			<textField>
				<reportElement x="440" y="40" width="60" height="12" uuid="7ba075f0-c30b-49e3-af20-d1a221cc5124"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Nama_Biro}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="234" y="40" width="90" height="12" uuid="34d2d3f5-80cb-4946-9850-abd29e9ccd8c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{namaAFC}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="40" y="40" width="60" height="14" uuid="e0fe8f5d-a9df-4c79-8831-14609d8d18a3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{userlogin}]]></textFieldExpression>
			</textField>
		</band>
	</columnFooter>
</jasperReport>
